#!/bin/bash
#
#download_url: https://www.openssl.org/source/

package=$1

if [ ! -f ./"$package" ]; then
    echo 'openssh package not exist'
    exit 11
fi

curl -i -s --connect-timeout 8 http://www.baidu.com | grep '200 OK'
if [ $? -ne 0 ]; then
    echo "Make sure the server is connected to the Internet."
    exit 1
fi
yum install  -y gcc gcc-c++ glibc make autoconf openssl openssl-devel pcre-devel  pam-devel pam* zlib*
tar xf $package
cd ${package%.tar.gz}
./config --prefix=/usr/local/openssl && make && make install
if [ $? -eq 0 ]; then
   mv /usr/bin/openssl /usr/bin/openssl.old
   ln -sf /usr/local/openssl/bin/openssl /usr/bin/openssl
   echo '/usr/local/openssl/lib/' > /etc/ld.so.conf.d/openssl.conf
   ldconfig
   echo
   echo
   openssl version -a
fi
   
