#!/bin/bash
#
#download_url: https://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/

package=$1

if [ ! -f ./"$package" ]; then
    echo 'openssh package not exist'
    exit 11
fi

mkdir old
#yum update openssh -y
#yum install  -y gcc gcc-c++ glibc make autoconf openssl openssl-devel pcre-devel  pam-devel pam* zlib*
tar xf $package
chown -R root.root ${package%.tar.gz}
cp -rp /etc/ssh old/
rm -rf /etc/ssh
cd ${package%.tar.gz}
./configure --prefix=/usr/ --sysconfdir=/etc/ssh --with-ssl-dir=/usr/local/openssl --with-zlib --with-pam && make && make install

if [ $? -eq 0 ]; then
cat > /etc/ssh/sshd_config <<EOF
PermitRootLogin yes
AuthorizedKeysFile      .ssh/authorized_keys
UseDNS no
Subsystem       sftp    /usr/libexec/sftp-server
EOF
cp -a contrib/redhat/sshd.init /etc/init.d/sshd
cp -a contrib/redhat/sshd.pam /etc/pam.d/sshd.pam
chmod +x /etc/init.d/sshd
chkconfig --add sshd
systemctl enable sshd
cd ..
mv  /usr/lib/systemd/system/sshd.service  old/
mv  /usr/lib/systemd/system/sshd.socket  old/
chkconfig sshd on
echo 
sshd -v
echo
/etc/init.d/sshd restart
else
echo "update openssh failed."
exit 11
fi
